libzypp: zypp::StringTypeAttr Class Reference

libzypp 17.38.6

zypp::StringTypeAttr Class Reference
Inheritance diagram for zypp::StringTypeAttr:

## Public Member Functions
| StringTypeAttr ()
| StringTypeAttr (const char *cstr_r)
| StringTypeAttr (const std::string &str_r)
Public Member Functions inherited from zypp::IdStringType< PoolQueryAttr >
IdString | idStr () const
bool | empty () const
unsigned | size () const
const char * | c_str () const
std::string | asString () const
IdType | id () const
| operator bool () const
| Evaluate in a boolean context ( !
| operator IdString () const
| Explicit conversion to IdString.
| operator std::string () const
| Explicit conversion to std::string.
int | compare (const PoolQueryAttr &rhs) const
int | compare (const IdStringType &rhs) const
int | compare (const IdString &rhs) const
int | compare (const std::string &rhs) const
int | compare (const char *rhs) const

## Static Public Attributes
static const StringTypeAttr | noAttr
static const StringTypeAttr | exactAttr
static const StringTypeAttr | substringAttr
static const StringTypeAttr | regexAttr
static const StringTypeAttr | globAttr
static const StringTypeAttr | wordAttr

## Private Attributes
IdString | _str

## Friends
class | IdStringType< StringTypeAttr >

## Additional Inherited Members
Public Types inherited from zypp::IdStringType< PoolQueryAttr >
using | IdType
Static Public Member Functions inherited from zypp::IdStringType< PoolQueryAttr >
static int | compare (const PoolQueryAttr &lhs, const PoolQueryAttr &rhs)
static int | compare (const PoolQueryAttr &lhs, const IdString &rhs)
static int | compare (const PoolQueryAttr &lhs, const std::string &rhs)
static int | compare (const PoolQueryAttr &lhs, const char *rhs)
static int | compare (const IdString &lhs, const PoolQueryAttr &rhs)
static int | compare (const IdString &lhs, const IdString &rhs)
static int | compare (const IdString &lhs, const std::string &rhs)
static int | compare (const IdString &lhs, const char *rhs)
static int | compare (const std::string &lhs, const PoolQueryAttr &rhs)
static int | compare (const std::string &lhs, const IdString &rhs)
static int | compare (const std::string &lhs, const std::string &rhs)
static int | compare (const std::string &lhs, const char *rhs)
static int | compare (const char *lhs, const PoolQueryAttr &rhs)
static int | compare (const char *lhs, const IdString &rhs)
static int | compare (const char *lhs, const std::string &rhs)
static int | compare (const char *lhs, const char *rhs)
Protected Member Functions inherited from zypp::IdStringType< PoolQueryAttr >
| IdStringType ()=default
| IdStringType (const IdStringType &)=default
| IdStringType (IdStringType &&) noexcept=default
IdStringType & | operator= (const IdStringType &)=default
IdStringType & | operator= (IdStringType &&) noexcept=default
| ~IdStringType ()=default

## Detailed Description

Definition at line 1118 of file PoolQuery.cc.

## Constructor & Destructor Documentation

## ◆ StringTypeAttr() [1/3]

zypp::StringTypeAttr::StringTypeAttr | ( |  | ) |
| inline

Definition at line 1124 of file PoolQuery.cc.

## ◆ StringTypeAttr() [2/3]

zypp::StringTypeAttr::StringTypeAttr | ( | const char * | cstr_r | ) |
| inlineexplicit

Definition at line 1125 of file PoolQuery.cc.

## ◆ StringTypeAttr() [3/3]

zypp::StringTypeAttr::StringTypeAttr | ( | const std::string & | str_r | ) |
| inlineexplicit

Definition at line 1127 of file PoolQuery.cc.

## Friends And Related Symbol Documentation

## ◆ IdStringType< StringTypeAttr >

friend class IdStringType< StringTypeAttr >
| friend

Definition at line 1102 of file PoolQuery.cc.

## Member Data Documentation

## ◆ _str

IdString zypp::StringTypeAttr::_str
| private

Definition at line 1121 of file PoolQuery.cc.

## ◆ noAttr

const StringTypeAttr zypp::StringTypeAttr::noAttr
| static

Definition at line 1130 of file PoolQuery.cc.

## ◆ exactAttr

const StringTypeAttr zypp::StringTypeAttr::exactAttr
| static

Definition at line 1132 of file PoolQuery.cc.

## ◆ substringAttr

const StringTypeAttr zypp::StringTypeAttr::substringAttr
| static

Definition at line 1133 of file PoolQuery.cc.

## ◆ regexAttr

const StringTypeAttr zypp::StringTypeAttr::regexAttr
| static

Definition at line 1134 of file PoolQuery.cc.

## ◆ globAttr

const StringTypeAttr zypp::StringTypeAttr::globAttr
| static

Definition at line 1135 of file PoolQuery.cc.

## ◆ wordAttr

const StringTypeAttr zypp::StringTypeAttr::wordAttr
| static

Definition at line 1136 of file PoolQuery.cc.

The documentation for this class was generated from the following file:

- zypp/PoolQuery.cc